using System;

namespace Khd.Core.Library
{
    public class LoggerUtils : IDisposable
    {

        NLog.Logger logger = NLog.LogManager.GetLogger("LoggerFile");
        public LoggerUtils()
        {

        }

        /// <summary>
        /// 信息记录
        /// </summary>
        /// <param name="msg"></param>
        public void Log(string msg)
        {
            logger.Info(msg);
        }

        /// <summary>
        /// 信息记录
        /// </summary>
        /// <param name="msg"></param>
        public void Info(string msg)
        {
            logger.Info(msg);
        }
        /// <summary>
        /// 错误记录
        /// </summary>
        /// <param name="msg"></param>
        public void Error(string msg)
        {
            logger.Error(msg);
        }

        public void Close()
        {

        }

        public void Dispose()
        {
            Dispose(true);
            GC.SuppressFinalize(true);
        }

        protected virtual void Dispose(bool disposing)
        {
            if (!disposing)
                return;
        }
    }
}
